import { html, when } from '@microsoft/fast-element';
/**
 * @public
 */
export const getPrefixedSystemHealthAlertsServer = (prefix) => html `
  ${when((x) => x.getCurrentMessage() && x.display, html `
      <section class="server-status" data-test-id="server-status">
        <slot>
          <${prefix}-snackbar
            class="${(x) => `server-status-message server-status-message-${x.currentServerStatus}`}"
            auto-close="${(x) => x.autoClose}"
            close-timeout="${(x) => x.closeTimeout}"
            @autoDismiss=${(x, c) => x.closeHandler()}
          >
            <p class="content" slot="content">
              <span class="content-element content-title">${(x) => x.getCurrentMessage().title}</span>
              <span class="content-element content-text">${(x) => x.getCurrentMessage().content}</span>
              <span class="content-element content-buttons">
                ${when((serverStatus) => serverStatus.currentServerStatus === 'restored', html `
                  <${prefix}-button class="link" @click=${() => location.reload()}>
                    Refresh
                  </${prefix}-button>
                  `)}
              </span>
            </p>
          </${prefix}-snackbar>

          <${prefix}-dialog
            part="server-status-dialog"
            type="${(x) => (x.currentServerStatus === 'failed' ? 'error' : 'success')}"
            show-close-icon="${(x) => x.currentServerStatus === 'restored'}"
            open
            :onCloseCallback=${(x) => x.closeHandler}
          >
            <h2 slot="top" part="dialog-title">${(x) => x.getCurrentMessage().title}</h2>
            <p part="dialog-message">${(x) => x.getCurrentMessage().content}</p>
            <div slot="bottom">
              ${when((serverStatus) => serverStatus.currentServerStatus === 'restored', html `
                <${prefix}-button
                  appearance="lightweight"
                  data-selector="close"
                  @click=${(x, c) => x.closeHandler(c.event)}
                >
                  Close
                </${prefix}-button>
                `)}
              ${when((serverStatus) => serverStatus.currentServerStatus === 'failed', html `
                <${prefix}-button
                  appearance="lightweight"
                  data-selector="close"
                  @click=${() => location.reload()}
                >
                  Reload
                </${prefix}-button>
                `)}
            </div>
          </${prefix}-dialog>
        </slot>
      </section>
    `)}
`;
