## API Report File for "@genesislcap/foundation-system-health-alerts"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import { ElementStyles } from '@microsoft/fast-element';
import { FASTElement } from '@microsoft/fast-element';
import { NetworkMonitor } from '@genesislcap/foundation-comms';
import { SystemHealthStatus } from '@genesislcap/foundation-comms';
import { ViewTemplate } from '@microsoft/fast-element';

// @public (undocumented)
export const foundationSystemHealthAlertsServer: ElementStyles;

// @public (undocumented)
export const foundationSystemHealthAlertsServiceStyles: ElementStyles;

// Warning: (ae-incompatible-release-tags) The symbol "getPrefixedSystemHealthAlertsServer" is marked as @public, but its signature references "SystemHealthAlertsServer" which is marked as @alpha
//
// @public (undocumented)
export const getPrefixedSystemHealthAlertsServer: (prefix: any) => ViewTemplate<SystemHealthAlertsServer, any>;

// Warning: (ae-incompatible-release-tags) The symbol "getPrefixedSystemHealthAlertsService" is marked as @public, but its signature references "SystemHealthAlertsService" which is marked as @alpha
//
// @public (undocumented)
export const getPrefixedSystemHealthAlertsService: (designSystemPrefix: string, templates?: ServiceStatusGetTemplateParmas) => ViewTemplate<SystemHealthAlertsService, any>;

// @public
export interface ServerStatusConfig {
    // (undocumented)
    autoClose: boolean;
    // (undocumented)
    closeTimeout: number;
}

// @public
export interface ServerStatusMessageItem {
    // (undocumented)
    content: string;
    // (undocumented)
    title: string;
}

// @public
export interface ServicesStatusConfig {
    // (undocumented)
    autoClose: boolean;
    // (undocumented)
    closeTimeout: number;
    // (undocumented)
    maxMessages: number;
}

// @public
export interface ServiceStatusGetTemplateParmas {
    // (undocumented)
    failed: (prefix: string, item: SystemHealthAlertsServiceItem) => any;
    // (undocumented)
    restored: (prefix: string, item: SystemHealthAlertsServiceItem) => any;
}

// Warning: (ae-internal-missing-underscore) The name "SYSTEM_HEALTH_ALERTS_SERVER_CLOSE_TIMEOUT" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const SYSTEM_HEALTH_ALERTS_SERVER_CLOSE_TIMEOUT = 10000;

// @public
export const SYSTEM_HEALTH_ALERTS_SERVER_DEFAULT_STATUS: "unknown";

// @public
export const SYSTEM_HEALTH_ALERTS_SERVER_EVENTS_NAMES: {
    readonly CHANGED: "changed";
    readonly UP: "up";
    readonly DOWN: "down";
    readonly UNKNOWN: "unknown";
    readonly CLOSE: "alert-close";
};

// Warning: (ae-internal-missing-underscore) The name "SYSTEM_HEALTH_ALERTS_SERVER_LOGGER_PREFIX" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const SYSTEM_HEALTH_ALERTS_SERVER_LOGGER_PREFIX = "SERVICE - ";

// @public
export const SYSTEM_HEALTH_ALERTS_SERVER_STATUSES: {
    readonly UNKNOWN: "unknown";
    readonly UP: "restored";
    readonly DOWN: "failed";
};

// Warning: (ae-internal-missing-underscore) The name "SYSTEM_HEALTH_ALERTS_SERVICE_CLOSE_TIMEOUT" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const SYSTEM_HEALTH_ALERTS_SERVICE_CLOSE_TIMEOUT = 10000;

// @public
export const SYSTEM_HEALTH_ALERTS_SERVICE_EVENTS_NAMES: {
    readonly CHANGED: "services-changed";
    readonly FAIL: "service-fail";
    readonly RESTORED: "service-restored";
    readonly CLOSE_MESSAGE: "dismiss";
    readonly AUTO_CLOSE_MESSAGE: "autoDismiss";
};

// Warning: (ae-internal-missing-underscore) The name "SYSTEM_HEALTH_ALERTS_SERVICE_LOGGER_PREFIX" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export const SYSTEM_HEALTH_ALERTS_SERVICE_LOGGER_PREFIX = "SERVICE - ";

// Warning: (ae-forgotten-export) The symbol "SystemHealthAlertsBase" needs to be exported by the entry point index.d.ts
//
// @alpha
export class SystemHealthAlertsServer extends SystemHealthAlertsBase {
    constructor();
    // (undocumented)
    autoClose: ServerStatusConfig['autoClose'];
    // (undocumented)
    closeHandler: (event: any) => void;
    // (undocumented)
    closeTimeout: ServerStatusConfig['closeTimeout'];
    // (undocumented)
    currentServerStatus: SystemHealthAlertsServerAvailableStatus;
    // (undocumented)
    currentServerStatusChanged(oldServerStatus: SystemHealthAlertsServerAvailableStatus, newServerStatus: SystemHealthAlertsServerAvailableStatus): void;
    // (undocumented)
    display: boolean;
    // (undocumented)
    displayOnChange: boolean;
    // (undocumented)
    getCurrentMessage(): ServerStatusMessageItem | undefined;
    // (undocumented)
    messageFailed: string;
    // (undocumented)
    messageRestored: string;
    // (undocumented)
    systemStatusChanged(ignore: any, newStatus: any): void;
    // (undocumented)
    titleFailed: string;
    // (undocumented)
    titleRestored: string;
}

// @public
export type SystemHealthAlertsServerAvailableStatus = (typeof SYSTEM_HEALTH_ALERTS_SERVER_STATUSES)[keyof typeof SYSTEM_HEALTH_ALERTS_SERVER_STATUSES];

// @alpha
export class SystemHealthAlertsService extends SystemHealthAlertsBase {
    // (undocumented)
    allMessages: SystemHealthAlertsServiceItem[];
    // (undocumented)
    allMessagesChanged(ignore: any, currentMessages: any): void;
    // (undocumented)
    autoClose: ServicesStatusConfig['autoClose'];
    // (undocumented)
    closeTimeout: ServicesStatusConfig['closeTimeout'];
    // (undocumented)
    displayMessages: SystemHealthAlertsServiceItem[];
    // (undocumented)
    emitCloseMessage(target: any, identifier: any): void;
    // Warning: (ae-incompatible-release-tags) The symbol "getTextHelper" is marked as @alpha, but its signature references "SystemHealthAlertsServiceHelperText" which is marked as @internal
    //
    // (undocumented)
    getTextHelper: (textType: SystemHealthAlertsServiceHelperText, type: SystemHealthAlertsServiceItemState, item: SystemHealthAlertsServiceItem) => string;
    // (undocumented)
    maxMessages: ServicesStatusConfig['maxMessages'];
    // (undocumented)
    maxMessagesChanged(): void;
    // (undocumented)
    messageFailed: string;
    // (undocumented)
    messageRestored: string;
    // (undocumented)
    systemStatusChanged(ignore: any, newStatus: any): void;
    // (undocumented)
    systemStatusServices: SystemHealthAlertsServiceItem[];
    // (undocumented)
    systemStatusServicesChanged(oldServices: SystemHealthAlertsServiceItem[], newServices: SystemHealthAlertsServiceItem[]): void;
    // (undocumented)
    titleFailed: string;
    // (undocumented)
    titleRestored: string;
}

// Warning: (ae-internal-missing-underscore) The name "SystemHealthAlertsServiceHelperText" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export type SystemHealthAlertsServiceHelperText = 'title' | 'message';

// @public
export interface SystemHealthAlertsServiceItem {
    // (undocumented)
    isConnected: boolean;
    // (undocumented)
    name: string;
    // (undocumented)
    tag: string;
}

// @public
export type SystemHealthAlertsServiceItemState = 'restored' | 'failed';

// Warning: (ae-internal-missing-underscore) The name "SystemHealthAlertsServiceSystemStatusItem" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal
export interface SystemHealthAlertsServiceSystemStatusItem {
    // (undocumented)
    isConnected: boolean;
    // (undocumented)
    lastError: number;
    // (undocumented)
    lastUpdated: number;
    // (undocumented)
    name: string;
    // (undocumented)
    sourceRef: string[];
}

// Warning: (ae-incompatible-release-tags) The symbol "ZeroSystemHealthAlertsServer" is marked as @public, but its signature references "SystemHealthAlertsServer" which is marked as @alpha
//
// @public
export class ZeroSystemHealthAlertsServer extends SystemHealthAlertsServer {
    // @internal (undocumented)
    connectedCallback(): Promise<void>;
    // @internal (undocumented)
    protected loadRemotes(): Promise<void>;
}

// Warning: (ae-incompatible-release-tags) The symbol "ZeroSystemHealthAlertsService" is marked as @public, but its signature references "SystemHealthAlertsService" which is marked as @alpha
//
// @public
export class ZeroSystemHealthAlertsService extends SystemHealthAlertsService {
    // @internal (undocumented)
    connectedCallback(): Promise<void>;
    // @internal (undocumented)
    protected loadRemotes(): Promise<void>;
}

// (No @packageDocumentation comment for this package)

```
